version: '2'
services:
  resource-viewer:
    container_name: resource-viewer
    build: .
    environment:
      NODE_ENV: development
      RESOURCE_CATALOGUER: http://localhost:3000
      DATA_COLLECTOR: http://localhost:4000/resources/uuid/data/last
    command: ember serve --watcher polling
    ports:
      - "4200:4200"
    volumes:
      - .:/resource-viewer
      - /resource-viewer/node_modules
      - /resource-viewer/bower_components

networks:
  default:
    external:
      name: platform
